%define anolis_release 1
%global pypi_name clean-fid
%global pypi_version 0.1.35

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        FID calculation in PyTorch with proper image resizing and quantization steps

License:        BSD
URL:            https://github.com/GaParmar/clean-fid
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Requires:       python3dist(scipy) >= 1.0.1
Requires:       python3dist(pillow) >= 8.1


%description
FID calculation in PyTorch with proper image resizing and quantization steps

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
FID calculation in PyTorch with proper image resizing and quantization steps


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/cleanfid
%{python3_sitelib}/clean_fid-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 17 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.1.35-1
- Initial package.
